## ros-melodic-velodyne-description 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(velodyne_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch meshes rviz urdf world
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-velodyne-description (1.0.10-1stretch) stretch; urgency=high

  * Change PointCloud visualization type from flat squares to points in example rviz config
  * Bump minimum CMake version to 3.0.2 in all CMakeLists.txt
  * Fix xacro macro instantiation
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 03 Aug 2020 04:00:00 -0000

ros-melodic-velodyne-description (1.0.9-1stretch) stretch; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 08 Mar 2019 05:00:00 -0000

ros-melodic-velodyne-description (1.0.8-1stretch) stretch; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 08 Sep 2018 04:00:00 -0000

ros-melodic-velodyne-description (1.0.7-1stretch) stretch; urgency=high

  * Added GPU support
  * Updated inertia tensors for VLP-16 and HDL-32E to realistic values
  * Removed unnecessary file extraction code in cmake
  * Contributors: Kevin Hallenbeck, Max Schwarz

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 03 Jul 2018 04:00:00 -0000

ros-melodic-velodyne-description (1.0.6-1stretch) stretch; urgency=high

  * Use robotNamespace as prefix for PointCloud2 topic frame_id by default
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-melodic-velodyne-description (1.0.5-1stretch) stretch; urgency=high

  * Increased minimum collision range to prevent self-clipping when in motion
  * Added many URDF parameters, and set example sample count to reasonable values
  * Launch rviz with gazebo
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 05 Sep 2017 04:00:00 -0000

ros-melodic-velodyne-description (1.0.4-1stretch) stretch; urgency=high

  * Updated package.xml format to version 2
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 24 Apr 2017 04:00:00 -0000

ros-melodic-velodyne-description (1.0.3-1stretch) stretch; urgency=high

  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 13 Aug 2016 04:00:00 -0000

ros-melodic-velodyne-description (1.0.2-1stretch) stretch; urgency=high

  * Moved M_PI property out of macro to support multiple instances
  * Materials caused problems with more than one sensors. Removed.
  * Added example urdf and gazebo
  * Changed to DAE meshes
  * Added meshes. Added HDL-32E.
  * Start from block laser
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Feb 2016 05:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-velodyne-description//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-velodyne-description 1.0.13

=== debian/changelog ===
ros-melodic-velodyne-description (1.0.13-1bionic) bionic; urgency=high

  * Add dummy collision to avoid moveit warnings
  * Contributors: Filip Sund

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 02 Dec 2022 05:00:00 -0000

ros-melodic-velodyne-description (1.0.12-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 30 Mar 2021 04:00:00 -0000

ros-melodic-velodyne-description (1.0.11-1bionic) bionic; urgency=high

  * Add organize_cloud parameter to match velodyne_pointcloud
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 23 Feb 2021 05:00:00 -0000

ros-melodic-velodyne-description (1.0.10-1bionic) bionic; urgency=high

  * Change PointCloud visualization type from flat squares to points in example rviz config
  * Bump minimum CMake version to 3.0.2 in all CMakeLists.txt
  * Fix xacro macro instantiation
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 03 Aug 2020 04:00:00 -0000

ros-melodic-velodyne-description (1.0.9-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 08 Mar 2019 05:00:00 -0000

ros-melodic-velodyne-description (1.0.8-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 08 Sep 2018 04:00:00 -0000

ros-melodic-velodyne-description (1.0.7-1bionic) bionic; urgency=high

  * Added GPU support
  * Updated inertia tensors for VLP-16 and HDL-32E to realistic values
  * Removed unnecessary file extraction code in cmake
  * Contributors: Kevin Hallenbeck, Max Schwarz

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 03 Jul 2018 04:00:00 -0000

ros-melodic-velodyne-description (1.0.6-1bionic) bionic; urgency=high

  * Use robotNamespace as prefix for PointCloud2 topic frame_id by default
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-melodic-velodyne-description (1.0.5-1bionic) bionic; urgency=high

  * Increased minimum collision range to prevent self-clipping when in motion
  * Added many URDF parameters, and set example sample count to reasonable values
  * Launch rviz with gazebo
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 05 Sep 2017 04:00:00 -0000

ros-melodic-velodyne-description (1.0.4-1bionic) bionic; urgency=high

  * Updated package.xml format to version 2
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 24 Apr 2017 04:00:00 -0000

ros-melodic-velodyne-description (1.0.3-1bionic) bionic; urgency=high

  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 13 Aug 2016 04:00:00 -0000

ros-melodic-velodyne-description (1.0.2-1bionic) bionic; urgency=high

  * Moved M_PI property out of macro to support multiple instances
  * Materials caused problems with more than one sensors. Removed.
  * Added example urdf and gazebo
  * Changed to DAE meshes
  * Added meshes. Added HDL-32E.
  * Start from block laser
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Feb 2016 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-velodyne-description
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/velodyne_description
Standards-Version: 3.9.2

Package: ros-melodic-velodyne-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-urdf, ros-melodic-xacro
Description: URDF and meshes describing Velodyne laser scanners.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
